<script setup>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import { Head, useForm } from '@inertiajs/vue3';
import BackMobile from "@/Components/Items/Auth/BackMobile.vue";

const props = defineProps({
    errors: Object,
    status:Object,
})

const form = useForm({
    email: '',
});

const submit = () => {
    form.post(route('password.email'),{
        preserveScroll: true
    });
};
</script>

<template>
    <GuestLayout>
        <Head title="Восстановить пароль" />
        <BackMobile/>
        <section class="auth">
            <img class="reg__background" src="/img/authBackDark.svg" alt="">
            <img class="reg__background dark" src="/img/authBack.svg" alt="">
            <div class="container">
                <div class="auth__inner">
                    <p class="auth__title">Восстановить пароль</p>
                    <p class="auth__subtitle">Пожалуйста введите данные</p>
                    <form @submit.prevent="submit" class="auth__form bigMt" >
                        <input v-model="form.email" class="auth__input" type="text" placeholder="E-mail">
                        <p v-if="errors?.email" class="auth__error">{{ errors?.email }}</p>
                        <p v-if="status" class="auth__error">{{ status }}</p>
                        <button class="auth__button button effect" type="submit">Восстановить пароль</button>
                    </form>
                </div>
            </div>
        </section>
    </GuestLayout>
</template>
